[glib: 5/7] ci: Include details of machine ID in CI output




commit da50de9b30d73e73ac4d6a62f671d24d9471c944
Author: Philip Withnall <pwithnall endlessos org>
Date:   Mon Mar 1 13:54:09 2021 +0000

    ci: Include details of machine ID in CI output
    
    Include the size of the `machine-id` file, but not the value itself as
    that is sensitive for non-throwaway machines. What’s most useful for
    debugging CI problems is knowing whether, and where, the `machine-id` is
    set.
    
    Signed-off-by: Philip Withnall <pwithnall endlessos org>

 .gitlab-ci/show-execution-environment.sh | 2 ++
 1 file changed, 2 insertions(+)
---
diff --git a/.gitlab-ci/show-execution-environment.sh b/.gitlab-ci/show-execution-environment.sh
index 0c2265161..5075f9730 100755
--- a/.gitlab-ci/show-execution-environment.sh
+++ b/.gitlab-ci/show-execution-environment.sh
@@ -9,3 +9,5 @@ setpriv --dump || :
 ulimit -a || :
 cat /proc/self/status || :
 cat /proc/self/mountinfo || :
+stat /etc/machine-id || :
+stat /var/lib/dbus/machine-id || :


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]